Support Installation

40 views
Skip to first unread message

Alex Cortés Leal

unread,
Mar 2, 2020, 4:21:37 PM3/2/20
to weblabdeusto
Hello Everybody:

I need help! When trying to Install Weblab.deusto in UBUNTU Desktop 18.04.4 LTS (or DEBIAN 10),
I have the problem seen at the attached Image.

Do you know if there is a Python 2 Support for weblabdeusto?

Thank.
WhatsApp Image 2020-03-02 at 15.02.56.jpeg

Pablo Orduña

unread,
Mar 3, 2020, 9:20:25 PM3/3/20
to weblab...@googlegroups.com
Hi Alex,

It seems there is an issue with the libraries. Can you run "pip freeze" to see what's the output? Maybe some library version is causing the issue.

Regarding Python 2, I guess you mean Python 3? Right now WebLab-Deusto only supports Python 2, and we're building a new software for Python 3; which will replace WebLab-Deusto. Still under development, unfortunately (we wanted to have it before 1st of January but it was not possible). This software will be only compatible, at least in the beginning, with unmanaged laboratories using weblablib ( https://developers.labsland.com/weblablib ) so we really encourage you to use it for new labs.

Best,

--
You received this message because you are subscribed to the Google Groups "weblabdeusto" group.
To unsubscribe from this group and stop receiving emails from it, send an email to weblabdeusto...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/weblabdeusto/6638f405-22c8-4d67-bd31-0d3b890fda72%40googlegroups.com.


--
Pablo

Alex Cortés Leal

unread,
Mar 4, 2020, 10:57:11 AM3/4/20
to weblabdeusto
Thanks Pablo!

After running pip freeze and have installed the requirements, the setup.py file worked well but when trying to run "weblab-admin --version" command (to verify the RLMS  installation) it showed another error (see file attached).

Best regards.




On Tuesday, March 3, 2020 at 8:20:25 PM UTC-6, Pablo Orduña wrote:
Hi Alex,

It seems there is an issue with the libraries. Can you run "pip freeze" to see what's the output? Maybe some library version is causing the issue.

Regarding Python 2, I guess you mean Python 3? Right now WebLab-Deusto only supports Python 2, and we're building a new software for Python 3; which will replace WebLab-Deusto. Still under development, unfortunately (we wanted to have it before 1st of January but it was not possible). This software will be only compatible, at least in the beginning, with unmanaged laboratories using weblablib ( https://developers.labsland.com/weblablib ) so we really encourage you to use it for new labs.

Best,

On Mon, Mar 2, 2020 at 1:21 PM Alex Cortés Leal <alex.co...@gmail.com> wrote:
Hello Everybody:

I need help! When trying to Install Weblab.deusto in UBUNTU Desktop 18.04.4 LTS (or DEBIAN 10),
I have the problem seen at the attached Image.

Do you know if there is a Python 2 Support for weblabdeusto?

Thank.

--
You received this message because you are subscribed to the Google Groups "weblabdeusto" group.
To unsubscribe from this group and stop receiving emails from it, send an email to weblab...@googlegroups.com.


--
Pablo
WhatsApp Image 2020-03-04 at 09.49.27.jpeg
Reply all
Reply to author
Forward
0 new messages